## Interface Swift_OutputByteStream

(line 19)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/OutputByteStream.php

##### An abstract means of reading data.

Classes implementing this interface may use a subsystem which requires less memory than working with large strings of data.

- author: - Chris Corbyn

Classes extended from Swift_OutputByteStream:

Swift_FileStream
  An OutputByteStream which specifically reads from a file.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
string read (int $length)
boolean setReadPointer (int $byteOffset)

#### Method read (line 31)

#### string read( int $length)

##### Reads $length bytes from the stream into a string and moves the pointer through the stream by $length. If less bytes exist than are requested the remaining bytes are given instead. If no bytes are remaining at all, boolean false is returned.

#### Parameters

- int $length:

#### Info

- throws - Swift_IoException
- access - public

#### Method setReadPointer (line 39)

#### boolean setReadPointer( int $byteOffset)

##### Move the internal read pointer to $byteOffset in the stream.

#### Parameters

- int $byteOffset:

#### Info

- throws - Swift_IoException
- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:26 +0000 by phpDocumentor 1.4.3